CMS [DocsCMS] [CMS DE CARAMELO] JIVVOX.COM PACK COMPLETO

  • 2 Respuestas
  • 342 Vistas

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado DocsHolos

[DocsCMS] [CMS DE CARAMELO] JIVVOX.COM PACK COMPLETO

  • en: 30 Septiembre, 2018, 06:53:48 am
 

:-* Hola chicos como estan, vengo aca a aportarle a foro adictos la cms de jivvox.com espero, que puedan disfrutarla y hacer un buen acto con ella pues aqui se las dejo el emulador. swf cms y db.  8)   8)

CMS: https://mega.nz/#!2DwxnRZD!HW7QJMipzx_YHjB94kTlv-kJmpzTI-vAfBs8KMgMGo4

DB: https://mega.nz/#!DK4mQAxC!bcRdi35WCPJGZG8u2B8oHB7gF1NSS39p8zcqlkER_qk

SWF: https://mega.nz/#!7TwjiBTY!S0Tb6jOPlH7DHRw-PZmdGhIlKVTacY4BgIGNN1BsyX8

EMU: https://mega.nz/#!LOw0WKQJ!E5RidxuRMXkQBOg-p76PQUFlWvQfxQV6OIBc-tEc4J4
 ;)
Imagenes:

https://i.imgur.com/S0JTLF4.png


/---------------------------------------------------------------------------------------/
/    CREDITOS DE CMS                                                                         /
/ *DOCS HOLOS Programación de todo el código css y html y parte de js /
/ *Crixus (Marlon) Programación del código php y aportación de emu       /
/ * SrThrone (Imágenes de ME)                                                          /
/--------------------------------------------------------------------------------/


Espero que les guste chicos hare mas aportes. Saludos a juan morales

LA DB QUE ESTA DENTRO DE LA CMS NO LES VA A SERVIR
« Última modificación: 01 Octubre, 2018, 02:47:05 am por AppleCrazy »
DocsHolos

Desconectado Basshunter

Re:[DocsCMS] [CMS DE CARAMELO] JIVVOX.COM PACK COMPLETO

  • en: 30 Septiembre, 2018, 06:29:30 pm
Me gusta el diseño no recuerdo haber visto antes una CMS con esos colores, es lindo.
Una duda que me quedó, que production son las swf?

Y una última critica irrelevante xD
En la parte de los créditos pones "DOCS HOLOS Programación de todo el código css y html y parte de js"
Solo quería destacar que HTML y CSS no son lenguajes de programación. JavaScript sí.

Igualmente el proyecto esta muy lindo amigo.

EDITO: Descargue la CMS para probar un Emulador que estoy haciendo y me encontre con un error.
[ You must login or register to view this Spoiler! ]


Para solucionar este error tan sencillo solo hay que ir al archivo index.php y reemplazar las siguientes líneas:
Línea 15 y 16:
Código: (php) [Seleccionar]
require_once("/app/api.nucleo.php");
require_once("/app/api.mantenaice.php");

Cambiarla por esto:
Código: (php) [Seleccionar]
require __DIR__ . '/app/api.nucleo.php';
require __DIR__ . '/app/api.mantenaice.php';

Nota: Pueden utilizar require o require_once. Yo prefiero utilizar solamente require porque consume mucho menos recursos ya que require_once verifica que el archivo que se vaya a requerir no haya sido requerido anteriormente y luego lo executa. En esta caso, no hace falta.

Dicho esto, la CMS solamente les va a servir a los que tengan una versión de PHP menor a 5.4 si no recuerdo mal. Ya que dentro del código se utiliza demasiado las funciones QUE YA NO EXISTEN de MySQL como por ejemplo mysql_connect, mysql_query, mysql_fetch_assoc, mysql_num_rows, etc...

Actualmente el reemplazo para esto es la librería MySQLi o PDO (para los que les guste mas la programación orientada a objetos).
De todas formas, yo no la puede utilizar por este caso mencionado.

Además dentro del código encontre muchas funciones que no deberían haberse usado por ejemplo dentro del archivo app/api.nucleo.php
Código: [Seleccionar]
error_reporting(0);
ini_set('display_errors', 0);

Lo que hacen estas funciónes es deshabilitar los errores de PHP. Por tanto que si hay un error tu te encontrarás con una página blanca y no sabrás que pasa.

Código: [Seleccionar]
@header('Content-Type: text/html; charset=UTF-8');

La función header envia cabeceras HTTP. Pero hay un grave error que es ese @ al principio que igualmente lo que hace es que si la función que esta luego de ese caracter tira un error, ese error no se muestre. Esto es terrible ya que en muchos hostings la función header sí tiraría error y la web no funcionaría, verías una página en blanco y no sabrías porqué. Osea, me acaba de pasar esto dicho y cuando me encontré con todo esto pues nada.

Sin mencionar el tiempo que he perdido el descargar y extraer más de 11 mil innecesarios archivos que contiene dentro.

Una lastima. Este proyecto utiliza código muy antiguo y con muchas faltas graves, no lo recomiendo.
« Última modificación: 02 Octubre, 2018, 09:01:43 am por Basshunter »

Desconectado Crixus

Me gusta el diseño no recuerdo haber visto antes una CMS con esos colores, es lindo.
Una duda que me quedó, que production son las swf?

Y una última critica irrelevante xD
En la parte de los créditos pones "DOCS HOLOS Programación de todo el código css y html y parte de js"
Solo quería destacar que HTML y CSS no son lenguajes de programación. JavaScript sí.

Igualmente el proyecto esta muy lindo amigo.

EDITO: Descargue la CMS para probar un Emulador que estoy haciendo y me encontre con un error.
[ You must login or register to view this Spoiler! ]


Para solucionar este error tan sencillo solo hay que ir al archivo index.php y reemplazar las siguientes líneas:
Línea 15 y 16:
Código: (php) [Seleccionar]
require_once("/app/api.nucleo.php");
require_once("/app/api.mantenaice.php");

Cambiarla por esto:
Código: (php) [Seleccionar]
require __DIR__ . '/app/api.nucleo.php';
require __DIR__ . '/app/api.mantenaice.php';

Nota: Pueden utilizar require o require_once. Yo prefiero utilizar solamente require porque consume mucho menos recursos ya que require_once verifica que el archivo que se vaya a requerir no haya sido requerido anteriormente y luego lo executa. En esta caso, no hace falta.

Dicho esto, la CMS solamente les va a servir a los que tengan una versión de PHP menor a 5.4 si no recuerdo mal. Ya que dentro del código se utiliza demasiado las funciones QUE YA NO EXISTEN de MySQL como por ejemplo mysql_connect, mysql_query, mysql_fetch_assoc, mysql_num_rows, etc...

Actualmente el reemplazo para esto es la librería MySQLi o PDO (para los que les guste mas la programación orientada a objetos).
De todas formas, yo no la puede utilizar por este caso mencionado.

Además dentro del código encontre muchas funciones que no deberían haberse usado por ejemplo dentro del archivo app/api.nucleo.php
Código: [Seleccionar]
error_reporting(0);
ini_set('display_errors', 0);

Lo que hacen estas funciónes es deshabilitar los errores de PHP. Por tanto que si hay un error tu te encontrarás con una página blanca y no sabrás que pasa.

Código: [Seleccionar]
@header('Content-Type: text/html; charset=UTF-8');

La función header envia cabeceras HTTP. Pero hay un grave error que es ese @ al principio que igualmente lo que hace es que si la función que esta luego de ese caracter tira un error, ese error no se muestre. Esto es terrible ya que en muchos hostings la función header sí tiraría error y la web no funcionaría, verías una página en blanco y no sabrías porqué. Osea, me acaba de pasar esto dicho y cuando me encontré con todo esto pues nada.

Sin mencionar el tiempo que he perdido el descargar y extraer más de 11 mil innecesarios archivos que contiene dentro.

Una lastima. Este proyecto utiliza código muy antiguo y con muchas faltas graves, no lo recomiendo.
Es que específicamente el código es de PHP 5.4
Ese código lógicamente esta obsoleto y desactualizado, yo hace meses me pasé a laravel de hecho tengo una cms ya en laravel, aunque este código en realidad solo le falta organización pero da flojera y menos por Habbo xD
Gracias por aclarar a los usuarios